# WithdrawalManager

[Git Source](https://github.com/isle-labs/isle-contract/blob/main/contracts/libraries/types/DataTypes.sol)

Namespace for the structs used in [WithdrawalManager](/contract-documentation/libraries/types/withdrawalmanager.md)

## Structs

### CycleConfig

```solidity
struct CycleConfig {
    uint64 initialCycleId;
    uint64 initialCycleTime;
    uint64 cycleDuration;
    uint64 windowDuration;
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.isle.finance/contract-documentation/libraries/types/withdrawalmanager.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
